///////////////////////////////////////////////////////////////////////
// SRenderTexture.h
//
// Copyright by Andr Stein
// E-Mail: stone@steinsoft.net, andre_stein@web.de
// http://www.steinsoft.net
//////////////////////////////////////////////////////////////////////

#ifndef S_RENDER_TEXTURE_H
#define S_RENDER_TEXTURE_H

class SRenderTexture  
{
public:
	SRenderTexture();
	virtual ~SRenderTexture();
	
	void finishRender();
	void beginRender();
	void select();
	void create(int xSize, int ySize, bool alpha = false, bool depth = false);
protected:
	bool withAlpha;
	bool withDepth;
	
	unsigned int size[2];
	unsigned int viewport[4];
	unsigned int texture;
};

#endif
